import { ModuleWithProviders } from '@angular/core';
import { ActiveDirectoryServiceOptions } from '@cleavelandprice/ngx-lib/active-directory';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/forms";
import * as i3 from "@angular/material/button";
import * as i4 from "@angular/material/dialog";
import * as i5 from "@angular/material/form-field";
import * as i6 from "@angular/material/icon";
import * as i7 from "@angular/material/input";
import * as i8 from "@angular/material/list";
import * as i9 from "@angular/material/progress-bar";
import * as i10 from "@angular/material/progress-spinner";
import * as i11 from "@angular/material/slide-toggle";
import * as i12 from "@angular/material/table";
import * as i13 from "@angular/material/tooltip";
import * as i14 from "./components/user-chooser/user-chooser.component";
import * as i15 from "./components/user-form-field/user-form-field.component";
export declare class MatActiveDirectoryModule {
    static forRoot(config: ActiveDirectoryServiceOptions): ModuleWithProviders<MatActiveDirectoryModule>;
    constructor(parentModule: MatActiveDirectoryModule);
    static ɵfac: i0.ɵɵFactoryDeclaration<MatActiveDirectoryModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MatActiveDirectoryModule, never, [typeof i1.CommonModule, typeof i2.ReactiveFormsModule, typeof i3.MatButtonModule, typeof i4.MatDialogModule, typeof i5.MatFormFieldModule, typeof i6.MatIconModule, typeof i7.MatInputModule, typeof i8.MatListModule, typeof i9.MatProgressBarModule, typeof i10.MatProgressSpinnerModule, typeof i11.MatSlideToggleModule, typeof i12.MatTableModule, typeof i13.MatTooltipModule, typeof i14.UserChooserComponent, typeof i15.UserFormFieldComponent], [typeof i14.UserChooserComponent, typeof i15.UserFormFieldComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MatActiveDirectoryModule>;
}
