import { OutputEmitterRef } from "@angular/core";
import { AuthenticatedUser } from "./authenticated-user";
export interface AbstractAuthenticationService {
    authenticatedChanged: OutputEmitterRef<boolean>;
    authenticatingChanged: OutputEmitterRef<boolean>;
    authenticationError: OutputEmitterRef<any>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser?: AuthenticatedUser;
    useSessionStorage: boolean;
    storage: Storage;
    login: Function;
    logout: Function;
    validateUser: Function;
    checkForExistingToken: Function;
}
