import { User } from '@cleavelandprice/ngx-lib/active-directory';
import { AbstractAuthenticationService, AuthenticatedUser, AuthenticationServiceOptions } from '@cleavelandprice/ngx-lib/authentication';
import { NgxLibServiceBase } from '@cleavelandprice/ngx-lib';
import * as i0 from "@angular/core";
export declare class AuthenticationObjectService extends NgxLibServiceBase implements AbstractAuthenticationService {
    #private;
    private options;
    authenticatedChanged: import("@angular/core").OutputEmitterRef<boolean>;
    authenticatingChanged: import("@angular/core").OutputEmitterRef<boolean>;
    authenticationError: import("@angular/core").OutputEmitterRef<void>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser?: AuthenticatedUser;
    get useSessionStorage(): boolean;
    get storage(): Storage;
    constructor(options: AuthenticationServiceOptions);
    login(username: string, password: string, adminGroup?: string, additionalInfo?: string): void;
    logout(): void;
    validateUser(token: User): void;
    checkForExistingToken(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationObjectService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationObjectService>;
}
