import { InjectionToken } from "@angular/core";
import { CachingConfig, Credentials, LoggingConfig, NgxLibServiceOptions } from "@cleavelandprice/ngx-lib";
export interface SharePointEndpoints {
    users?: string;
    listItems?: string;
}
export interface SharePointPhotos {
    site?: string;
    list?: string;
    additionalPropertiesToRetrieve?: string[];
}
export interface SharePointServiceOptions extends NgxLibServiceOptions {
    credentials?: Credentials;
    caching?: CachingConfig;
    endpoints?: SharePointEndpoints;
    photos?: SharePointPhotos;
    logging?: LoggingConfig;
}
export declare const SharePointServiceOptionsToken: InjectionToken<SharePointServiceOptions>;
