import { ElementRef } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { UploadStatus } from '../../model/upload-status';
import { UploadService } from './../../services/upload.service';
import * as i0 from "@angular/core";
export declare class UploadDialogComponent {
    services: {
        dialogRef: MatDialogRef<any, any>;
        upload: UploadService;
    };
    file: import("@angular/core").Signal<ElementRef<any>>;
    files: Set<File>;
    existingFileConflict?: string;
    progress?: UploadStatus;
    canBeClosed: boolean;
    primaryButtonText: string | undefined;
    showCancelButton: boolean;
    uploading: boolean;
    uploadSuccessful: boolean;
    addFiles(): void;
    onFilesAdded(): void;
    closeDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadDialogComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
