import { OnInit } from '@angular/core';
import { User, UserOrGroup } from '@cleavelandprice/ngx-lib/active-directory';
import { PhotoItem } from '@cleavelandprice/ngx-lib/sharepoint';
import { UserChooserData } from '../../model/user-chooser-data';
import * as i0 from "@angular/core";
export declare class UserFormFieldComponent implements OnInit {
    #private;
    usersSelected: import("@angular/core").OutputEmitterRef<string | string[]>;
    userUnSelected: import("@angular/core").OutputEmitterRef<string>;
    placeholder: import("@angular/core").InputSignal<string>;
    clickable: import("@angular/core").InputSignal<boolean>;
    userChooserData: import("@angular/core").InputSignal<UserChooserData>;
    _userChooserData: UserChooserData;
    accountNames: string[];
    users?: User[];
    groups?: UserOrGroup[];
    photos?: PhotoItem[];
    ngOnInit(): void;
    selectUser(): void;
    unSelectUser(accountName: string): void;
    getUser(accountName: string): User | undefined;
    getGroup(accountName: string): UserOrGroup | undefined;
    getPhoto(accountName: string): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserFormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserFormFieldComponent, "cp-user-field", never, { "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "clickable": { "alias": "clickable"; "required": false; "isSignal": true; }; "userChooserData": { "alias": "userChooserData"; "required": true; "isSignal": true; }; }, { "usersSelected": "usersSelected"; "userUnSelected": "userUnSelected"; }, never, never, true, never>;
}
