import { Group, User } from "@cleavelandprice/ngx-lib/active-directory";
import { PhotoItem } from "@cleavelandprice/ngx-lib/sharepoint";
import { UserChooserFilterOptions } from "./user-chooser-filter-options";
import { UserChooserMode } from "./user-chooser-mode";
import { UserChooserPreProcessingGroup } from "./user-chooser-pre-processing-group";
export declare class UserChooserData {
    closeWhenSelectionMade: boolean;
    includeDisabledUsers: boolean;
    parentOu?: string;
    returnUserObjects: boolean;
    showGroupMembershipTooltips: boolean;
    showPhone: boolean;
    title: string;
    mode: UserChooserMode;
    filterOptions: UserChooserFilterOptions;
    exclusions: UserChooserPreProcessingGroup;
    inclusions: UserChooserPreProcessingGroup;
    preSelections: UserChooserPreProcessingGroup;
    users?: User[];
    groups?: Group[];
    photos?: PhotoItem[];
    selectableGroupNames?: string[];
}
