import { OnDestroy, OnInit, OutputRefSubscription } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { MatAuthenticationService } from '../../services/mat-authentication.service';
import * as i0 from "@angular/core";
export declare class LoginFormComponent implements OnInit, OnDestroy {
    #private;
    services: {
        dialogRef: MatDialogRef<any, any>;
        authentication: MatAuthenticationService;
    };
    errorMessage?: string;
    authenticatedChangedSubscription: OutputRefSubscription;
    authenticationErrorSubscription: OutputRefSubscription;
    form: FormGroup<{
        username: FormControl<null>;
        password: FormControl<null>;
        adminGroup: FormControl<any>;
        additionalInfo: FormControl<any>;
    }>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    authenticate(): void;
    changeTokenStorageMode(checked: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginFormComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
