import { AbstractAuthenticationService, AuthenticatedUser } from '@cleavelandprice/ngx-lib/authentication';
import { NgxLibServiceBase } from '@cleavelandprice/ngx-lib';
import { AuthenticationTokenServiceOptions } from '../model/authentication-token-service-options';
import * as i0 from "@angular/core";
export declare class AuthenticationTokenService extends NgxLibServiceBase implements AbstractAuthenticationService {
    #private;
    protected options: AuthenticationTokenServiceOptions;
    authenticatedChanged: import("@angular/core").OutputEmitterRef<boolean>;
    authenticatingChanged: import("@angular/core").OutputEmitterRef<boolean>;
    authenticationError: import("@angular/core").OutputEmitterRef<void>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser?: AuthenticatedUser;
    get useSessionStorage(): boolean;
    get storage(): Storage;
    constructor(options: AuthenticationTokenServiceOptions);
    login(username: string, password: string, adminGroup?: string, additionalInfo?: string): void;
    logout(): void;
    validateUser(token: string): void;
    checkForExistingToken(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationTokenService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationTokenService>;
}
