import { OnInit } from '@angular/core';
import { ConfirmationDialogMode } from '../../model/confirmation-dialog-mode';
import { DialogBaseData } from '../../model/dialog-base-data';
import { DialogType } from '../../model/dialog-type';
import * as i0 from "@angular/core";
export declare class BaseComponent implements OnInit {
    #private;
    DialogType: typeof DialogType;
    dialogType: import("@angular/core").InputSignal<DialogType>;
    data: import("@angular/core").InputSignal<DialogBaseData>;
    closed: import("@angular/core").OutputEmitterRef<void>;
    ConfirmationDialogMode: typeof ConfirmationDialogMode;
    userInput?: string;
    checkboxValue: boolean;
    get customTrueText(): string | undefined;
    get customFalseText(): string | undefined;
    get choices(): string[] | null;
    ngOnInit(): void;
    close(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseComponent, "cp-dialog-base", never, { "dialogType": { "alias": "dialogType"; "required": false; "isSignal": true; }; "data": { "alias": "data"; "required": true; "isSignal": true; }; }, { "closed": "closed"; }, never, never, true, never>;
}
