import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { NgModule, Optional, SkipSelf } from '@angular/core';

/*
    additionalData         :
    tags                   : {}
*/

/*
accountEnabled                                :
ageGroup                                      :
assignedLicenses                              :
assignedPlans                                 :
authorizationInfo                             :
businessPhones                                :
companyName                                   :
consentProvidedForMinor                       :
country                                       :
creationType                                  :
employeeHireDate                              :
employeeId                                    :
employeeOrgData                               :
employeeType                                  :
externalUserState                             :
externalUserStateChangeDateTime               :
identities                                    :
imAddresses                                   :
isResourceAccount                             :
legalAgeGroupClassification                   :
licenseAssignmentStates                       :
mailNickname                                  :
officeLocation                                :
onPremisesExtensionAttributes                 : @{extensionAttribute1=DBR; extensionAttribute10=; extensionAttribute11=; extensionAttribute12=; extensionAttribute13=; extensionAttribute14=; extensionAttribute15=; extensionAttribute2=; extensionAttribute3=; extensionAttribute4=;
                                                extensionAttribute5=; extensionAttribute6=; extensionAttribute7=; extensionAttribute8=; extensionAttribute9=; additionalData=; oDataType=}
onPremisesProvisioningErrors                  :
otherMails                                    :
passwordPolicies                              : DisablePasswordExpiration
passwordProfile                               :
preferredDataLocation                         :
preferredLanguage                             :
provisionedPlans                              :
proxyAddresses                                :
showInAddressList                             :
signInSessionsValidFromDateTime               :
usageLocation                                 :
mailboxSettings                               :
deviceEnrollmentLimit                         :
aboutMe                                       :
birthday                                      :
hireDate                                      :
interests                                     :
mySite                                        :
pastProjects                                  :
preferredName                                 :
responsibilities                              :
schools                                       :
skills                                        :
appRoleAssignments                            :
appRoleAssignmentsNextLink                    :
createdObjects                                :
createdObjectsNextLink                        :
directReports                                 :
directReportsNextLink                         :
licenseDetails                                :
licenseDetailsNextLink                        :
manager                                       :
memberOf                                      :
memberOfNextLink                              :
oauth2PermissionGrants                        :
oauth2PermissionGrantsNextLink                :
ownedDevices                                  :
ownedDevicesNextLink                          :
ownedObjects                                  :
ownedObjectsNextLink                          :
registeredDevices                             :
registeredDevicesNextLink                     :
scopedRoleMemberOf                            :
scopedRoleMemberOfNextLink                    :
transitiveMemberOf                            :
transitiveMemberOfNextLink                    :
calendar                                      :
calendarGroups                                :
calendarGroupsNextLink                        :
calendars                                     :
calendarsNextLink                             :
calendarView                                  :
calendarViewNextLink                          :
contactFolders                                :
contactFoldersNextLink                        :
contacts                                      :
contactsNextLink                              :
events                                        :
eventsNextLink                                :
inferenceClassification                       :
mailFolders                                   :
mailFoldersNextLink                           :
messages                                      :
messagesNextLink                              :
outlook                                       :
people                                        :
peopleNextLink                                :
drive                                         :
drives                                        :
drivesNextLink                                :
followedSites                                 :
followedSitesNextLink                         :
extensions                                    :
extensionsNextLink                            :
agreementAcceptances                          :
agreementAcceptancesNextLink                  :
managedDevices                                :
managedDevicesNextLink                        :
managedAppRegistrations                       :
managedAppRegistrationsNextLink               :
deviceManagementTroubleshootingEvents         :
deviceManagementTroubleshootingEventsNextLink :
planner                                       :
insights                                      :
settings                                      :
onenote                                       :
photo                                         :
photos                                        :
photosNextLink                                :
activities                                    :
activitiesNextLink                            :
onlineMeetings                                :
onlineMeetingsNextLink                        :
presence                                      :
authentication                                :
chats                                         :
chatsNextLink                                 :
joinedTeams                                   :
joinedTeamsNextLink                           :
teamwork                                      :
todo                                          :
deletedDateTime                               :
additionalData                                :
*/

class MSGraphModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('MSGraphModule is already loaded. Import it in the AppModule only');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: MSGraphModule, deps: [{ token: MSGraphModule, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.5", ngImport: i0, type: MSGraphModule, imports: [CommonModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: MSGraphModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: MSGraphModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ]
                }]
        }], ctorParameters: () => [{ type: MSGraphModule, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }] });

/**
 * Generated bundle index. Do not edit.
 */

export { MSGraphModule };
//# sourceMappingURL=cleavelandprice-ngx-lib-msgraph.mjs.map
