import { Observable } from 'rxjs';
import { AppPathConfig } from '../model/app-path-config';
import { NgxLibServiceOptions } from '../model/service-options';
import { NgxLibServiceBase } from './service-base';
import * as i0 from "@angular/core";
export declare class AppPathConfigService extends NgxLibServiceBase {
    #private;
    constructor(options?: NgxLibServiceOptions);
    getAll(): Observable<AppPathConfig[]>;
    getById(id: number): Observable<AppPathConfig>;
    getByAppId(id: number): Observable<AppPathConfig[]>;
    getByApp(name: string): Observable<AppPathConfig[]>;
    getByAppTypeId(id: number): Observable<AppPathConfig[]>;
    getByAppType(name: string): Observable<AppPathConfig[]>;
    getByAppFunction(name: string): Observable<AppPathConfig[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppPathConfigService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppPathConfigService>;
}
