import { Address } from "./address";
import { Coordinates } from "./coordinates";
export interface Room {
    address: Address;
    audioDeviceName: string;
    bookingType: number;
    building: string;
    capacity: number;
    displayDeviceName: string;
    emailAddress: string;
    floorLabel: string;
    floorNumber: number;
    geoCoordinates: Coordinates;
    isWheelChairAccessible: boolean;
    label: string;
    nickname: string;
    videoDeviceName: string;
    displayName: string;
    phone: string;
    id: string;
    oDataType: string;
}
