import { Observable } from 'rxjs';
import { NgxLibServiceBase } from '@cleavelandprice/ngx-lib';
import { ListItem } from '../model/list-item';
import { ListItemsRequest } from '../model/list-items-request';
import { PhotoItem } from '../model/photo-item';
import { SharePointServiceOptions } from '../model/sharepoint-service-options';
import { User } from '../model/user';
import { UserRequest } from '../model/user-request';
import * as i0 from "@angular/core";
export declare class SharePointService extends NgxLibServiceBase {
    #private;
    private options;
    constructor(options: SharePointServiceOptions);
    getListItems(request: ListItemsRequest): Observable<ListItem[]>;
    getPhotos(): Observable<PhotoItem[]>;
    getUsers(request: UserRequest, id?: number): Observable<User | User[]>;
    clearCache(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharePointService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SharePointService>;
}
