import { ModuleWithProviders } from '@angular/core';
import { SharePointServiceOptions } from './model/sharepoint-service-options';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "./pipes/user-photo-url.pipe";
import * as i3 from "./components/user-photo/user-photo.component";
export declare class SharePointModule {
    static forRoot(options: SharePointServiceOptions): ModuleWithProviders<SharePointModule>;
    constructor(parentModule: SharePointModule);
    static ɵfac: i0.ɵɵFactoryDeclaration<SharePointModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SharePointModule, never, [typeof i1.CommonModule, typeof i2.UserPhotoUrlPipe, typeof i3.UserPhotoComponent], [typeof i2.UserPhotoUrlPipe, typeof i3.UserPhotoComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SharePointModule>;
}
