import { AfterViewInit } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { MatTableDataSource } from '@angular/material/table';
import { TableColumn } from '../../model/table-column';
import * as i0 from "@angular/core";
export declare class TableComponent implements AfterViewInit {
    #private;
    title: import("@angular/core").InputSignal<string>;
    tableData: import("@angular/core").InputSignal<any[]>;
    columns: import("@angular/core").InputSignal<TableColumn[]>;
    showPaginator: import("@angular/core").InputSignal<boolean>;
    showSearch: import("@angular/core").InputSignal<boolean>;
    maxTableHeight: import("@angular/core").InputSignal<string>;
    shrinkTable: import("@angular/core").InputSignal<boolean>;
    paginatorSticky: import("@angular/core").InputSignal<boolean>;
    sortingDataAccessor: import("@angular/core").InputSignal<((data: any, sortHeaderId: string) => string) | undefined>;
    buttonClicked: import("@angular/core").OutputEmitterRef<{
        rowData: any;
        field: string;
    }>;
    isMobile: boolean;
    dataSource: MatTableDataSource<any>;
    pageSizeOptions: number[];
    columnNames: string[];
    paginator: import("@angular/core").Signal<MatPaginator | undefined>;
    sort: import("@angular/core").Signal<MatSort | undefined>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    searchFilterChange(event: Event): void;
    buttonClick(rowData: any, field: string): void;
    getNestedFieldValue(rowData: any, nestedFieldName: string | undefined): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableComponent, "lib-table", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "tableData": { "alias": "tableData"; "required": true; "isSignal": true; }; "columns": { "alias": "columns"; "required": false; "isSignal": true; }; "showPaginator": { "alias": "showPaginator"; "required": false; "isSignal": true; }; "showSearch": { "alias": "showSearch"; "required": false; "isSignal": true; }; "maxTableHeight": { "alias": "maxTableHeight"; "required": false; "isSignal": true; }; "shrinkTable": { "alias": "shrinkTable"; "required": false; "isSignal": true; }; "paginatorSticky": { "alias": "paginatorSticky"; "required": false; "isSignal": true; }; "sortingDataAccessor": { "alias": "sortingDataAccessor"; "required": false; "isSignal": true; }; }, { "buttonClicked": "buttonClicked"; }, never, never, true, never>;
}
