export interface TableColumn {
    field: string;
    fieldColumnTitle: string;
    columnWidth?: string;
    isDate?: boolean;
    isPercent?: boolean;
    isNumber?: {
        needsRounded: boolean;
        percentage?: boolean;
    };
    isCheckbox?: {
        isDisabled: boolean;
    };
    isButton?: {
        isDisabled: boolean;
        text?: string;
        isIcon?: {
            iconName: string;
            toolTip: string;
        };
        isCheckbox?: {
            toolTip: string;
            multipleSelect: boolean;
        };
        extraPadding?: boolean;
    };
    isEditable?: {
        type: string;
        disable?: boolean;
        isNumber?: boolean;
    };
    hideOnMobile?: boolean;
    nestedField?: string;
    isHyperlink?: {
        linkField: string;
    };
}
